//******************************************
//           This is a C Template file
//ߣ   
//     
//
//ע
//****************************************** 
//******************************************
//Stack Pointer	=	0x23f (If use mq6832_x_startup.asm)
//Ram range = 0x40~0x23f
//******************************************
#ifndef	IO_MEM
#define	IO_MEM
#endif  
#include "MQ6832.h"
#include "MQ6832_REG_BIT.h"

void main()
{
	unsigned int delayTime;
    P4CR.bit.b3 = 1;
	P4FC.bit.b3 = 1;
	CGCR.byte = 2;
	while(1)
	{
		P4DR.bit.b3 = !P4DR.bit.b3;
		for(delayTime = 0;delayTime<65535;delayTime++)
		{
			__asm("nop");
			__asm("nop");
			__asm("nop");
			__asm("nop");
			__asm("nop");
			__asm("nop");
		}
	
	}
}
/* ----------------------- IAP(Ҫ޸Ĵ˴ code) ------------- */
#pragma section code	c_value
void IAP_Init()
{
	// Memory address related
	IAP_Dev_define.norBootAddr = NORMAL_BOOT_ADDRESS;

	// BOOT PIN select
	IAP_Dev_define.ptrBootPinPU = IAP_BOOT_PIN_PU_REG;
	IAP_Dev_define.ptrBootPinPD = IAP_BOOT_PIN_PD_REG;
	IAP_Dev_define.ptrBootPinPRD = IAP_BOOT_PIN_PRD_REG;
	IAP_Dev_define.valBootPinBit = IAP_BOOT_PIN_BIT;
	IAP_Dev_define.valBootDefaultHL = IAP_BOOT_GPIO_DEFAULT_HIGH_LOW;
	IAP_Dev_define.valBootEnableHL = IAP_BOOT_GPIO_ENABLE_HIGH_LOW;
	
	// UART select
    	IAP_Dev_define.valUart90Pin = IAP_UART_90_PIN;
	IAP_Dev_define.valUart91Pin = IAP_UART_91_PIN;
	IAP_Dev_define.valUATCNG    = IAP_UART_UATCNG_VALUE;	
	IAP_Dev_define.valUartDR    = BAUDRATE_DR_VALUE;
	IAP_Dev_define.valUartCR1   = UART_CR1_VALUE;
	IAP_Dev_define.valUartCR2   = UART_CR2_VALUE;
	IAP_Dev_define.valUartRTSEL = BAUDRATE_RTSEL_VALUE;
	
}
#pragma section code
/* ----------------------- IAP End --------------------------- */